function battle_sai042(npcID)  --魔教弟子乙
	m=flag.GetBattleValue(15130)
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end

	if m==0 then
		ui.Popo_Auto(96103,1,npcID,1.5,0)
		global.Wait(1.5)
		flag.SetBattleValue(15130,1)
	end

    n=flag.GetBattleValue(12086)
    a=battle.GetRndNumber(1,10)
	n=math.min(n,100)
	
	if a>=1 and a<=6 then
			id = battle.GetRndPlayer()
			battle.SetDamageScale(1+0.8*n)
			battle.AtkToPlayer(id,1)     --普通攻击
			n=n+1
			flag.SetBattleValue(12086,n)
		else
			id = battle.GetRndPlayer()
			battle.SetDamageScale(1+0.8*n)
			battle.AtkToPlayer(id,2)     --2号攻击
			n=n+1
			flag.SetBattleValue(12086,n)

		end
end